package com.slodon.b2b2c.vo.statistics;

import com.slodon.b2b2c.core.util.TimeUtil;
import com.slodon.b2b2c.statistics.pojo.StoreDay;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 封装会员分析-会员报表(按天)Vo对象
 * @author wuxy
 */
@Data
public class MemberDayReportVO {

    @ApiModelProperty("统计时间")
    private String statsTime;

    @ApiModelProperty("新增用户数")
    private Integer newMemberNum;

    @ApiModelProperty("店铺访客数")
    private Integer visitorNum;

    @ApiModelProperty("下单人数")
    private Integer orderSubmitMemberNum;

    @ApiModelProperty("支付人数")
    private Integer orderPayMemberNum;

    @ApiModelProperty("关注店铺人数")
    private Integer collectionStoreNum;

    public MemberDayReportVO(StoreDay storeDay) {
        this.statsTime = TimeUtil.getZDDay(storeDay.getStatsTime());
        this.newMemberNum = storeDay.getNewMemberNum();
        this.visitorNum = storeDay.getVisitorNum();
        this.orderSubmitMemberNum = storeDay.getOrderSubmitMemberNum();
        this.orderPayMemberNum = storeDay.getOrderPayMemberNum();
        this.collectionStoreNum = storeDay.getCollectionStoreNum();
    }

}
